/*******************************************************************************
 * FoxStorePreviewNode_Base generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxStorePreviewNode_Base extends Object within FoxStoreUIItemDetail
    native(UI)
    config(UI);

var int ItemUnlockID;
var config int WeaponXPos;
var config int WeaponYPos;
var config int WeaponWidth;
var config int WeaponHeight;

function Cleanup()
{
    Outer.ClearItemDetails();
    //return;    
}

function Setup(int ItemId)
{
    local GFxObject BoundObject;
    local string ItemName, ItemIcon, ItemDesc, ItemTags;

    BoundObject = Outer.GetBoundObject();
    // End:0x149
    if((BoundObject != none) && class'FoxUnlockInfo'.static.GetUnlockInfoFromID(ItemId, ItemName, ItemIcon, ItemDesc, ItemTags))
    {
        BoundObject.SetString("itemName", ItemName);
        // End:0x103
        if(ItemIcon != "")
        {
            BoundObject.SetString("iconLoc", ItemIcon);
        }
        BoundObject.SetString("itemTags", ItemTags);
        ApplyItemDetails(ItemDesc);
    }
    Outer.KillPreviewActor();
    //return;    
}

function ApplyItemDetails(string Description)
{
    // End:0x38
    if(Description != "")
    {
        Outer.as_addStoreDetailDesc(Description);
    }
    //return;    
}

defaultproperties
{
    WeaponXPos=-230
    WeaponYPos=-25
    WeaponWidth=600
    WeaponHeight=420
}